/*
Theme Name: Mayfair Child
Description: A child theme for the Mayfair theme by OllyOlly
Author: Your Name or Company
Template: theme-mayfair
Version: 1.0.0
*/

/* Custom styles can go below */

.btnCustom {
    display: inline-flex;
    position: relative;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    min-width: max-content;
    max-width: 100%;
    background: #1E4963;
    border-radius: 8px;
    padding: 10px 22px;
    color: #fff;
    text-transform: uppercase;
    font-weight: 700;
    font-size: 18px;
    line-height: 26px;
}

#sidebarSlideNav {
    display: flex;
    flex-flow: column nowrap;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 16px;
}

#sidebarSlideNav li a {
    display: inline-flex;
    position: relative;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    min-width: max-content;
    max-width: 100%;
    background: #D1D1D1;
    border-radius: 8px;
    padding: 10px 22px;
    color: #1E4963;
    text-transform: uppercase;
    font-weight: 700;
    font-size: 18px;
    line-height: 26px;
}

.serviceIntro {
    padding: 63px 0;
    background: #FBFBFB;
}

.serviceIntro .shell {
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-between;
    align-items: flex-start;
    gap: 34px;
}

.serviceIntro .introContent {
    max-width: calc(69% - 34px);
}

.serviceIntro .introContent h2 {
    font-size: 45px;
    line-height: 1.2;
}

.serviceIntro .introContent p {
    font-size: 18px;
    line-height: 1.44;
}

.serviceIntro aside {
    width: 300px;
    max-width: 31%;
}

@media(max-width: 768px) {
    .serviceIntro {
        padding: 0 0 48px;
    }
    .serviceIntro .introContent {
        max-width: 100%;
    }
    
    .serviceIntro .introContent h2 {
        font-size: 36px;
    }
    
    .serviceIntro aside {
        display: none;
    }
}

.benefitsSection {
    padding: 63px 0;
    background: #fff;
}

.benefitsSection h2 {
    color: #1E4963;
    font-size: 45px;
    line-height: 1.12;
    font-weight: 700;
    margin-bottom: 20px;
    width: 398px;
    max-width: 100%;
}

.benefitsSection p {
    font-size: 18px;
    line-height: 1.375;
}

.benefitsGrid {
    display: flex;
    flex-flow: row wrap;
    justify-content: space-between;
    align-items: stretch;
    gap: 70px 20px;
}

.benefitsGrid .benefitsIntro {
    width: calc(50% - 16px);
    padding-right: 56px;
}

.benefitsGrid .theBenefit {
    width: calc(25% - 16px);
}

.theBenefit {
    display: flex;
    flex-flow: column nowrap;
    justify-content: flex-start;
    align-items: flex-start;
}

.theBenefit .benefitIcon {
    display: block;
    width: 112px;
    height: 112px;
    border-radius: 50%;
    overflow: hidden;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}

.theBenefit .benefitIcon img {
    display: block;
    width: 100%;
    height: auto;
    opacity: 0;
}

.theBenefit h3 {
    color: #1E4963;
    width: 100%;
    font-size: 24px;
    font-weight: 700;
    margin: 15px 0 16px;
    padding: 0 0 20px;
    border-bottom: 1px solid #1E4963;
}

@media(max-width: 768px) {
    .benefitsSection {
        padding: 48px 0;
    }
    
    .benefitsSection h2 {
        font-size: 36px;
    }
    
    .benefitsGrid {
        gap: 48px 20px;
    }
        
    .benefitsSection .benefitsIntro {
        width: 100%;
        padding: 0;
    }
    
    .benefitsGrid .theBenefit {
        width: calc(33% - 16px)
    }
}

@media(max-width: 640px) {
    .benefitsGrid {
        gap: 20px;
    }    
    .benefitsGrid .theBenefit {
        width: calc(50% - 16px);
    }
}

@media(max-width: 480px) {
    .benefitsGrid .theBenefit {
        width: 100%;
    }
}

.commercialSection {
    background: #FBFBFB;
    padding: 64px 0;
}

.commercialGrid {
    display: flex;
    flex-flow: column nowrap;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 24px;
}

.commercialGrid .commercialIntro {
    width: 100%;
    max-width: calc(69% - 34px);
    border-left: 14px solid #1E4963;
    padding-left: 24px;
}

.commercialGrid .commercialIntro h2 {
    font-size: 45px;
}

.commercialGrid  h3 {
    font-size: 35px;
    margin: 68px 0 30px;
}

.commercialGrid .commercialIntro p {
    font-size: 18px;
    line-height: 1.44;
}

.tilesGrid {
    display: flex;
    flex-flow: row wrap;
    justify-content: space-between;
    align-items: stretch;
    gap: 22px;
    width: 100%;
}

.tilesGrid .theTile {
    width: calc(50% - 11px);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center top;
    padding-top: 26%;
    display: flex;
    flex-flow: row nowrap;
    justify-content: flex-start;
    border-radius: 16px;
    overflow: hidden;
    box-sizing: border-box;
}


.tilesGrid .theTile .tileContent {
    background: #1E4963;
    padding: 38px 68px 38px 32px;
    box-sizing: border-box;
    width: 100%;
}

.tilesGrid .theTile .tileContent h3 {
    font-size: 24px;
    line-height: 1.2;
    font-weight: 700;
    color: #fff;
    margin: 0 0 20px;
}

.tilesGrid .theTile .tileContent p {
    font-size: 16px;
    line-height: 1.4;
    color: #fff;
}

.tilesGrid .theTile .tileContent ul {
    font-size: 16px;
    line-height: 1.4;
    color: #fff;
    margin-left: 14px;
}

.tilesGrid .theTile .tileContent ul li + li {
    margin-top: 10px;
}

@media(max-width: 768px) {
    .commercialSection {
        padding: 48px 0;
    }
    
    .commercialGrid .commercialIntro {
        max-width: 100%;
    }
    
    .commercialGrid .commercialIntro h2 {
        font-size: 36px;
    }
    
    .commercialGrid h3 {
        font-size: 24px;
        margin: 48px 0 24px
    }
    
    .tilesGrid {
        gap: 20px;
    }

    .tilesGrid .theTile {
        width: calc(50% - 16px)
        padding-top: 40%;
    }
}

@media(max-width: 640px) {
    .tilesGrid {
        flex-flow: column nowrap;
        gap: 20px;
    }
    
    .tilesGrid .theTile {
        width: 100%;
        padding-top: 60%;
    }
    
    .commercialGrid h3 {
        font-size: 20px;
        margin: 36px 0 16px
    }
}

.featuredProductsSection {
    background: #FBFBFB;
    padding: 0 0 64px;
}

.fpGrid {
    display: flex;
    flex-flow: column nowrap;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 24px;
}

.fpGrid .fpIntro {
    width: 100%;
    max-width: calc(69% - 34px);
    border-left: 14px solid #1E4963;
    padding-left: 24px;
}

.fpGrid .fpIntro h2 {
    font-size: 45px;
}

.fpGrid .fpIntro h3 {
    font-size: 35px;
}

.fpGrid .fpIntro p {
    font-size: 18px;
}

.fpGrid .theProduct {
    width: 100%;
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-between;
    align-items: flex-start;
    gap: 16px;
    height: 100%;
    min-height: 228px;
    border-top: 1px dashed #D9D9D9;
    padding-top: 40px;
    margin-top: 16px;
}

.fpGrid .theProduct .fpImage {
    width: 31%;
    border-radius: 16px;
    overflow: hidden;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
}

.fpGrid .theProduct .fpImage img {
    display: block;
    width: 100%;
    height: auto;
    opacity: 0;
}

.fpGrid .theProduct .fpContent {
    width: calc(69% - 34px);
    max-width: 100%;
}

.fpGrid .theProduct .fpContent h3 {
    font-size: 24px;
    line-height: 1.2;
    font-weight: 700;
    margin: 0 0 20px;
}

.fpGrid .theProduct .fpContent p {
    font-size: 16px;
    line-height: 1.4;
}

@media(max-width: 768px) {
    .featuredProductsSection {
        padding: 0 0 48px;
    }
    
    .fpGrid .fpIntro {
        max-width: 100%;
    }
}

@media(max-width: 768px) {
    .fpGrid .theProduct {
        flex-flow: column nowrap;
    }
    
    .fpGrid .theProduct,
    .fpGrid .theProduct .fpImage,
    .fpGrid .theProduct .fpContent {
        width: 100%;
    }
}

.bannerSection .bannerBox {
    border-radius: 16px;
    overflow: hidden;
}

.bannerSection .bannerBox img {
    display: block;
    width: 100%;
    height: auto;
    opacity: 0;
}


.residentialProducts {
    background: #FBFBFB;
    padding: 64px 0;
}

.rpGrid {
    display: flex;
    flex-flow: column nowrap;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 24px;
}

.rpGrid .rpIntro {
    width: 100%;
    max-width: calc(69% - 34px);
    border-left: 14px solid #1E4963;
    padding-left: 24px;
}

.rpGrid .rpIntro h2 {
    font-size: 45px;
}

.rpGrid .rpIntro h3 {
    font-size: 35px;
}

.rpGrid .fpIntro p {
    font-size: 18px;
}

.rpGrid .theProduct {
    width: 100%;
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-between;
    align-items: flex-start;
    gap: 16px;
    height: 100%;
    min-height: 228px;
    border-top: 1px dashed #D9D9D9;
    padding-top: 40px;
    margin-top: 16px;
}

.rpGrid .theProduct .rpImage {
    display: block;
    width: 670px;
    max-width: 60%;
    padding-top: 41%;
    border-radius: 16px;
    overflow: hidden;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    position: relative;
}

.rpGrid .theProduct .rpImage img {
    display: block;
    width: 100%;
    height: auto;
    opacity: 0;
    position: absolute;
    left: 0;
    top: 0;
    max-height: 100%;
    pointer-events: none;
}

.rpGrid .theProduct .rpContent {
    width: 470px;
    max-width: 40%;
}

.rpGrid .theProduct .rpContent h3 {
    font-size: 24px;
    line-height: 1.2;
    font-weight: 700;
    margin: 0 0 20px;
}

.rpGrid .theProduct .rpContent p {
    font-size: 16px;
    line-height: 1.4;
}

@media(max-width: 768px) {
    .rpGrid .rpIntro {
        max-width: 100%;
    }
    .rpGrid .theProduct .rpImage,
    .rpGrid .theProduct .rpContent {
        max-width: 50%;
    }
}

@media(max-width: 640px) {
    .rpGrid .theProduct {
        flex-flow: column nowrap;
    }
    
    .rpGrid .theProduct .rpImage,
    .rpGrid .theProduct .rpContent {
        max-width: 100%;
    }
}

.faqs {
    background: #FBFBFB;
    padding: 0 0 64px;
}

.faqGrid {
    display: flex;
    flex-flow: column nowrap;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 24px;
}

.faqGrid .faqIntro {
    width: 100%;
    max-width: calc(69% - 34px);
    border-left: 14px solid #1E4963;
    padding-left: 24px;
}

.faqGrid .faqIntro h2 {
    font-size: 45px;
}

.faq-accordion {
  display: flex;
  flex-flow: row wrap;
  justify-content: space-between;
  align-items: flex-start;
  gap: 24px;
  padding: 56px 0 0;
}

.faq-accordion h2 {
  text-align: center;
}
.faq-accordion {
  padding-block: 32px 0;
  width: 100%;
  margin: 0 auto;
  overflow-x: hidden;
}
.faq-accordion .question {
  display: flex;
  flex-flow: column nowrap;
  justify-content: flex-start;
  align-items: flex-start;
  width: calc(50% - 12px);
  position: relative;
  cursor: pointer;
  box-sizing: border-box;
  transition: all 0.3s ease;
  overflow: hidden;
  padding: 17px 20px;
  background: #1E4963;
  border-radius: 16px;
}

.faq-accordion .question h3 {
  position: relative;
  z-index: 3;
  font-size: 24px;
  line-height: 1.4;
  font-weight: 700;
  margin: 0;
  padding: 0 76px 0 0;
  display: block;
  width: 100%;
  box-sizing: border-box;
  color: #fff;
}

@media (max-width: 768px) {
  .faq-accordion .question h3 {
    font-size: 24px;
    line-height: 1.5;
    padding-block: 12px;
    padding-inline-end: 48px;
    display: flex;
    flex-flow: row nowrap;
    justify-content: flex-start;
    align-items: center;
  }
}

.faq-accordion .question h3:after {
  content: '';
  display: block;
  position: absolute;
  top: calc(50% - 16px);
  inset-inline-end: 12px;
  width: 24px;
  height: 24px;
  border: 6px solid #fff;
  border-left: 0;
  border-top: 0;
  transform: rotate(45deg);
  pointer-events: none;
  z-index: 2;
  transition: all 0.3s ease;
  transform-origin: center;
}
@media (max-width: 768px) {
  .faq-accordion .question h3:after {
    inset-inline-end: 0;
  }
}
.faq-accordion .question .answer {
  display: none;
  flex-direction: column;
  gap: 24px;
  padding-block: 0 24px;
  padding-inline: 0 12px;
  width: 100%;
  box-sizing: border-box;
  color: #fff;
  margin-top: 10px;
}
@media (max-width: 768px) {
  .faq-accordion .question .answer {
    padding-block: 0 16px;
    padding-inline: 0;
  }
}
.faq-accordion .question .answer h4 {
  margin: 16px 0 0 0;
  color: #fff;
}
.faq-accordion .question .answer p,
.faq-accordion .question .answer ul,
.faq-accordion .question .answer ol {
  font-size: 20px;
  line-height: 1.4;
  font-weight: 400;
  color: #fff;
}
@media (max-width: 768px) {
  .faq-accordion .question .answer p,
  .faq-accordion .question .answer ul,
  .faq-accordion .question .answer ol {
    font-size: 16px;
    line-height: 1.5;
  }
}
.faq-accordion .question .answer p sup,
.faq-accordion .question .answer ul sup,
.faq-accordion .question .answer ol sup {
  line-height: 1;
  top: 0;
  font-size: 100%;
}
.faq-accordion .question .answer ul,
.faq-accordion .question .answer ol {
  display: flex;
  flex-direction: column;
  gap: 16px;
}
.faq-accordion .question .answer ul {
  padding-inline: 1em;
}
.faq-accordion .question .answer ol {
  list-style-type: none;
  margin: 0;
  padding: 0;
  counter-reset: answer-list;
}
.faq-accordion .question .answer ol li {
  padding-inline-start: 35px;
  position: relative;
  counter-increment: answer-list;
}
.faq-accordion .question .answer ol li:before {
  content: '';
  content: counter(answer-list);
  display: block;
  width: 22px;
  height: 22px;
  background: #000;
  border-radius: 50%;
  position: absolute;
  top: 4;
  inset-inline-start: 0;
  text-align: center;
  font-size: 15px;
  line-height: 22px;
  font-weight: 600;
  color: #fff;
}
.faq-accordion .question .answer ol li + li {
  margin-top: 16px;
}
.faq-accordion .question.open {
  height: auto;
}
.faq-accordion .question.open h3:after {
  transform: rotate(-135deg);
}
.faq-accordion .question.open .answer {
  display: flex;
}

@media (max-width: 768px) {
    .faqGrid .faqIntro {
        max-width: 100%;
    }
    
    .faqGrid .faqIntro h2 {
        font-size: 36px;
    }
    
    .faq-accordion {
        padding: 0;
        flex-flow: column nowrap;
    }
  
    .faq-accordion .question {
        width: 100%;
    }
}

.footer a:not([class]) {
    color: white;
}